curl --request POST \
--url https://dev.superpool.unyte.africa/api/v1/policies/cancel \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"policy_id": "d5c36562-b86f-4e97-8288-8c6cb2da35ef",
"policy_number": "INS-2023-00001",
"cancellation_reason": "No longer interested in the policy"
}
'Policies
Cancel an active policy subscription
Cancel an active policy subscription using the policy id or the policy number provided by the insurer
POST
/
api
/
v1
/
policies
/
cancel
curl --request POST \
--url https://dev.superpool.unyte.africa/api/v1/policies/cancel \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"policy_id": "d5c36562-b86f-4e97-8288-8c6cb2da35ef",
"policy_number": "INS-2023-00001",
"cancellation_reason": "No longer interested in the policy"
}
'Authorizations
Query Parameters
Unique ID of the policy
policy reference number assigned by the insurer
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Validates a policy cancellation request
Maximum string length:
500Maximum string length:
255Optional: Information on alternative policies or offers that might suit the policyholder needs, provided by the merchant before proceeding with cancellation
Optional: Feedback or comments from the merchant on the policyholder's request for cancellation
Maximum string length:
500Response
Policy cancellation successful
⌘I
